# Vue

## DDA with Vue <a href="#dda-with-vue" id="dda-with-vue"></a>

This is a step-by-step guide to use the DDA components in Vue.

#### Setup <a href="#setup" id="setup"></a>

First, install the package [@dubai-design-system/components-vue](https://www.npmjs.com/package/@dubai-design-system/components-vue)

```jsx
npm i @dubai-design-system/components-vue
```

**For Versions 3.11.0+, add CSS reference as below:**

```jsx
import '@dubai-design-system/components-js/dist/dda/dda.css';
```

Next, install the font-awesome package which is the icon package used by DDA:

Start by adding the material-icons package inside the `<head>` tag

```jsx
<style>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
</style>
```

In your main.js file, import your component library plugin and use it:

```jsx
<script>

// src/main.js

import { ComponentLibrary } from '@dubai-design-system/components-vue';

createApp(App).use(ComponentLibrary).mount('#app');

</script>
```

```
<script>    
    import { DdaButton } from '@dubai-design-system/components-vue';
</script>

<template>
    <div>
        <DdaButton
            button_color="default-primary"
            start_icon="sentiment_satisfied"
            end_icon="arrow_forward"
            custom_class=""
            component_mode=""
            button_id="button"
            aria_label="button"
            onclick="console.log('clicked')"
        ><!---->Button</DdaButton>
    </div>
</template>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://designsystem.dubai.ae/developers/vue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
